ATA_MSENSE_RW_RECOVE(9)

NAME
ata_msense_rw_recovery - Simulate MODE SENSE r/w error recovery page

SYNOPSIS

unsigned int ata_msense_rw_recovery(u8 * buf, bool changeable);

ARGUMENTS

buf
    output buffer

changeable
    whether changeable parameters are requested

DESCRIPTION

Generate a generic MODE SENSE r/w error recovery page.

LOCKING

None.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT